Update an existing watchlist

Base URL
https://{kibana_url}
  • PUT /api/entity_analytics/watchlists/{id}
Auth

Updates the name, description, risk modifier, or managed status of an existing entity analytics watchlist.

Path parameters

id string · max length: 256 required

The ID of the watchlist to update

Request body

description string · max length: 1000

Description of the watchlist

managed boolean

Indicates if the watchlist is managed by the system

name string · max length: 256 required

Unique name of the watchlist

riskModifier number · min: 0 · max: 2 required

Risk score modifier associated with the watchlist

Response

Watchlist updated successfully

application/json
createdAt string · format: date-time

Timestamp indicating when the watchlist was created

description string

Description of the watchlist

entityCount number

Number of entities in the watchlist

entitySourceIds string[]

List of entity source IDs associated with the watchlist

hasManualEntities boolean

Indicates whether the watchlist contains manually assigned entities

id string

The unique ID of the watchlist

managed boolean required

Indicates if the watchlist is managed by the system

name string required

The name of the watchlist

riskModifier number required

Risk score modifier associated with the watchlist

updatedAt string · format: date-time

Timestamp indicating when the watchlist was last updated

Base URL
https://{kibana_url}